FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202005121717 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005121717 
ENV __doozer=merge OS_GIT_COMMIT=a2fdb3b OS_GIT_VERSION=4.4.0-202005121717-a2fdb3b SOURCE_DATE_EPOCH=1587720007 SOURCE_GIT_COMMIT=a2fdb3bffaad5887bd06cafc1d8f32ac226728e2 SOURCE_GIT_TAG=a2fdb3bf SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-apiserver-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-apiserver-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-kube-apiserver-operator
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.4.0.20200512.171709
ENV __doozer=update BUILD_RELEASE=202005121717 BUILD_VERSION=v4.4.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=4 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.4.0-202005121717 
ENV __doozer=merge OS_GIT_COMMIT=a2fdb3b OS_GIT_VERSION=4.4.0-202005121717-a2fdb3b SOURCE_DATE_EPOCH=1587720007 SOURCE_GIT_COMMIT=a2fdb3bffaad5887bd06cafc1d8f32ac226728e2 SOURCE_GIT_TAG=a2fdb3bf SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-apiserver-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/cluster-kube-apiserver-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_20_kube-apiserver-operator_01_config.crd.yaml /manifests
# FIXME: entrypoint shouldn't be bash but the binary (needs fixing the chain)
# ENTRYPOINT ["/usr/bin/cluster-kube-apiserver-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-apiserver-operator" \
        com.redhat.component="ose-cluster-kube-apiserver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-apiserver" \
        version="v4.4.0" \
        release="202005121717" \
        io.openshift.build.commit.id="a2fdb3bffaad5887bd06cafc1d8f32ac226728e2" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-apiserver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-apiserver-operator/commit/a2fdb3bffaad5887bd06cafc1d8f32ac226728e2"

